//HavokCharacterListener.cpp
#include <Demos/demos.h>

#include <Physics/Utilities/CharacterControl/CharacterRigidBody/hkpCharacterRigidBody.h>
#include <Physics/Dynamics/Collide/hkpSimpleConstraintContactMgr.h>
#include "HavokCharacterListener.h"

extern void OutputDebugPrintf(char* fmt, ...);

void HavokCharacterListener::characterCallback( hkpWorld* world, hkpCharacterRigidBody* characterRB )
{
	hkpCharacterRigidBodyListener::characterCallback( world, characterRB );
}

void HavokCharacterListener::processActualPoints( const hkpWorld* world, hkpCharacterRigidBody* characterRB, const hkpLinkedCollidable::CollisionEntry& entry, hkpSimpleConstraintContactMgr* mgr, hkArray<hkContactPointId>& contactPointIds )
{
	int nSize = contactPointIds.getSize();
	if( nSize > 0 )
	{
		hkVector4 charPos = characterRB->getPosition();
		for( int n = 0; n < nSize; ++n )
		{
			hkContactPoint* contactPoint = mgr->getContactPoint( contactPointIds[n] );
			hkVector4 pos = contactPoint->getPosition();
			hkVector4 nor = contactPoint->getNormal();
		}
	}

	hkpCharacterRigidBodyListener::processActualPoints( world, characterRB, entry, mgr, contactPointIds );
}