//HavokTest.h
#ifndef _HAVOKTEST_H
#define _HAVOKTEST_H

//#include <hkdemoframework/hkDefaultDemo.h>
#include <Demos/DemoCommon/DemoFramework/hkDefaultPhysicsDemo.h>
#include <Demos/DemoCommon/Utilities/Animation/AnimationUtils.h>

// Vertex Deformation
#include <Animation/Animation/Deform/Skinning/hkaMeshBinding.h>

class hkpShapePhantom;
class hkpCharacterProxy;
class hkpCharacterContext;

class hkResource;
class hkLoader;
class hkaSkeleton;
class hkaAnimatedSkeleton;
class hkEaseControl;
class hkaPose;

class HavokTest : public hkDefaultPhysicsDemo
{
	public:

		HK_DECLARE_CLASS_ALLOCATOR(HK_MEMORY_CLASS_DEMO);

		HavokTest(hkDemoEnvironment* env);
		
		~HavokTest();

		hkDemo::Result stepDemo();

	protected:

		// Simulation methods


		// Updates the camera 

		// Gets the pose from the girl, based on controller position

		// Renders a pose of the girl
		virtual void renderPose (const hkaPose& pose) const;
		
		// Z is up
		const hkVector4 m_up;

		// Loaded data
		hkLoader* m_loader; // Animation



		/*
		** Character Controller stuff
		*/
		hkpShapePhantom* m_phantom;
		hkpShape* m_standShape;

		hkBool m_forcedOnTrackball;

};

#endif // _HAVOKTEST_H
